RESTinio

Classes | Namespaces | Typedefs
tcp_connection_ctx_base.hpp File Reference
`#include <memory>`
`#include <restinio/connection_state_listener.hpp>`

Go to the source code of this file.

## Classes
class | restinio::tcp_connection_ctx_base_t
| TCP connection base. More...

## Namespaces
namespace | restinio

## Typedefs
using | restinio::tcp_connection_ctx_handle_t = std::shared_ptr< tcp_connection_ctx_base_t >
| Alias for http connection handle. More...
using | restinio::tcp_connection_ctx_weak_handle_t = std::weak_ptr< tcp_connection_ctx_base_t >
| Alias for http connection weak handle. More...